summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@open-infrastructure.net>2017-07-22 12:30:47 +0000
committerDaniel Baumann <daniel.baumann@open-infrastructure.net>2017-07-22 22:28:26 +0000
commit81a6846d26184378492c0fc434ded23c7e4bca85 (patch)
tree2b2d624b43ce1b6c8d4a726da534289d11447104
parentMaking sha512 checksum optional for image downloads in curl container create ... (diff)
downloadcompute-tools-81a6846d26184378492c0fc434ded23c7e4bca85.tar.xz
compute-tools-81a6846d26184378492c0fc434ded23c7e4bca85.zip
Adding error messages in curl container create script if required decompressors are not installed.
-rwxr-xr-xshare/scripts/curl12
1 files changed, 12 insertions, 0 deletions
diff --git a/share/scripts/curl b/share/scripts/curl
index 3d81807..6602a6f 100755
--- a/share/scripts/curl
+++ b/share/scripts/curl
@@ -216,10 +216,22 @@ case "${IMAGE}" in
*.lz)
TAR_OPTIONS="--lzip"
+
+ if [ ! -e /usr/bin/lzip ]
+ then
+ echo "'${NAME}': /usr/bin/lzip - no such file." >&2
+ exit 1
+ fi
;;
*.xz)
TAR_OPTIONS="--xz"
+
+ if [ ! -e /usr/bin/xz ]
+ then
+ echo "'${NAME}': /usr/bin/xz - no such file." >&2
+ exit 1
+ fi
;;
*)